package kd.cosmic;

import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.cosmic.server.Launcher;

/**
 * 启动本地应用程序(微服务节点)
 */
public class Application {
    public static void main(String[] args) {
        Launcher cosmic = new Launcher();

//        cosmic.setClusterNumber("cosmic");
//        cosmic.setTenantNumber("sample");
//        cosmic.setServerIP("10.64.112.152");

        cosmic.setAppName("cosmic-violet-GNfGyyH1");
        cosmic.setWebPath("E:/Code/ensign_back/ensign-server/webapp");

        //152
        cosmic.setClusterNumber("yxzg-topview-dev");
        cosmic.setTenantNumber("yxzg-topview-dev");
        cosmic.setServerIP("10.64.112.152");
        cosmic.setFileServerPathIPAndPort("","");
        cosmic.setConfigUrl("10.64.112.152:2181","zookeeper","Cosmic@5092");
        cosmic.set("login.type","STANDALONE");

//        134
//        cosmic.setClusterNumber("yxzg-prod");
//        cosmic.setTenantNumber("yxzg-prod");
//        cosmic.setServerIP("10.64.111.134");
//        cosmic.setConfigUrl("10.64.111.134:2181","zookeeper","d@f*g:SGVsbG8==U4HRwjlqTOp0p9b60T+T8D2fQ8ThQgJLu/qgfLyLgknPa2RwYXNzd29yZA==");


        cosmic.setStartWithQing(false);
        cosmic.start();
    }

}